WEBSETROOT(1)

NAME
websetroot - set the root of a Twisted web server

SYNOPSIS
websetroot {-f tapfile | -y codefile | -x XML | -s AOT } {--pickle pickle | --script script } [ -e ] [--port port]

websetroot --help

DESCRIPTION

The --help prints out a usage message to standard output.

-e, --encrypted
    The specified tap/aos/xml file is encrypted.

-p, --port <port>
    The port the web server is running on [default: 80]

-f, --file <file>
    read the given .tap file [default: twistd.tap]

-y, --python <file>
    read an application from within a Python file

-x, --xml <file>
    Read an application from a .tax file (Marmalade format).

-s, --source <file>
    Read an application from a .tas file (AOT format).

--script <file>
    Read the root resource from the given resource script file

--pickle <file>
    Read the root resource from the given resource pickle file

AUTHOR
Written by Moshe Zadka, based on websetroot's help messages

REPORTING BUGS
Report bugs to <twisted-python@twistedmatrix.com>.

COPYRIGHT
Copyright © 2002 Matthew W. Lefkowitz
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
mktap(1)